Delete Branch
DELETEhttps://api.confident-ai.com/v2/prompts/{promptId}/branches/{branchId}
Deletes a branch of the prompt. The main branch, branches with open pull requests, and branches referenced by AI connections cannot be deleted.
curl -X DELETE "https://api.confident-ai.com/v2/prompts/{promptId}/branches/{branchId}" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"id": "<BRANCH-ID>"
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
promptIdstringRequiredThe unique id of the prompt.
branchIdstringRequiredThe unique id of the branch.
Response
Delete Branch succeeded.
successbooleanIndicates if the request was successful.
dataobjectShow 1 propertyHide 1 property
idstringThis is the unique id of the prompt branch.
deprecatedbooleanIndicates if this endpoint is deprecated.